Package org.springframework.beans.factory.parsing

# Class PropertyEntry

java.lang.Object
org.springframework.beans.factory.parsing.PropertyEntry

All Implemented Interfaces:
  `ParseState.Entry`

public class PropertyEntry extends Object implements ParseState.Entry
`ParseState` entry representing a JavaBean property.

Since:
  2.0
Author:
  Rob Harrop

## Constructor Summary

Constructors
Constructor
Description
`PropertyEntry(String name)`
Create a new `PropertyEntry` instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyEntry

public PropertyEntry(String name)
Create a new `PropertyEntry` instance.

Parameters:
  `name` - the name of the JavaBean property represented by this instance

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`